/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public final class SimulationControllerProto {
  private SimulationControllerProto() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_Empty_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_Empty_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_SetMapRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_SetMapRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_SetSectorRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_SetSectorRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_ConfigureRMIRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_ConfigureRMIRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_AddVehicleRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_AddVehicleRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_AddVehicleReply_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_AddVehicleReply_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_StartSimulationRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_StartSimulationRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_StartSimulationReply_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_StartSimulationReply_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetSimulationResultRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetSimulationResultRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_DoubleArray_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_DoubleArray_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_BooleanArray_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_BooleanArray_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_SimulationDataFrame_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_SimulationDataFrame_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_PlannedTrajectory_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_PlannedTrajectory_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_VehicleSimulationDataFrame_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_VehicleSimulationDataFrame_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetSimulationResultReply_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetSimulationResultReply_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetVehiclesRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetVehiclesRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetVehiclesReply_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetVehiclesReply_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetVehiclesReply_VehicleState_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_RemoveVehicleRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_RemoveVehicleRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_ResetSimulatorRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_ResetSimulatorRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetMapResponse_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetMapResponse_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetMapResponse_OsmNode_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetMapResponse_OsmNode_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetMapResponse_Street_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetMapResponse_Street_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetMapResponse_Building_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetMapResponse_Building_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_GetMapResponse_Bound_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_GetMapResponse_Bound_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_SimulationController_UpdateTrajectoryRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_SimulationController_UpdateTrajectoryRequest_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\032simulationController.proto\022\024Simulation" +
      "Controller\"\007\n\005Empty\"Q\n\rSetMapRequest\022\017\n\007" +
      "mapName\030\001 \001(\t\022\022\n\ntotalChunk\030\003 \001(\005\022\r\n\005ind" +
      "ex\030\004 \001(\005\022\014\n\004data\030\002 \003(\014\"\"\n\020SetSectorReque" +
      "st\022\016\n\006osmIDs\030\001 \003(\005\"1\n\023ConfigureRMIReques" +
      "t\022\014\n\004host\030\001 \001(\t\022\014\n\004port\030\002 \001(\005\"\321\001\n\021AddVeh" +
      "icleRequest\022\023\n\013sourceOsmID\030\001 \001(\t\022\023\n\013targ" +
      "etOsmID\030\002 \001(\t\022\017\n\007rmiHost\030\003 \001(\t\022\017\n\007rmiPor" +
      "t\030\004 \001(\003\022\024\n\014vehicleModel\030\005 \001(\t\022\023\n\013useMode" +
      "lica\030\006 \001(\010\022\027\n\017batteryCapacity\030\007 \001(\001\022\031\n\021b" +
      "atteryPercentage\030\010 \001(\001\022\021\n\tvehicleID\030\t \001(" +
      "\t\"$\n\017AddVehicleReply\022\021\n\tvehicleID\030\001 \001(\t\"" +
      "f\n\026StartSimulationRequest\022\024\n\014simulationI" +
      "D\030\001 \001(\t\022\020\n\010duration\030\002 \001(\005\022\r\n\005topic\030\003 \001(\t" +
      "\022\025\n\rtotalDuration\030\004 \001(\005\",\n\024StartSimulati" +
      "onReply\022\024\n\014simulationID\030\001 \001(\t\"9\n\032GetSimu" +
      "lationResultRequest\022\r\n\005after\030\001 \001(\005\022\014\n\004si" +
      "ze\030\002 \001(\005\" \n\013DoubleArray\022\021\n\005value\030\001 \003(\001B\002" +
      "\020\001\"!\n\014BooleanArray\022\021\n\005value\030\001 \003(\010B\002\020\001\"\226\003" +
      "\n\023SimulationDataFrame\022\014\n\004posX\030\001 \001(\001\022\014\n\004p" +
      "osY\030\002 \001(\001\022\014\n\004posZ\030\003 \001(\001\022\020\n\010steering\030\004 \001(" +
      "\002\022\016\n\006engine\030\005 \001(\002\022\r\n\005brake\030\006 \001(\002\0223\n\010rota" +
      "tion\030\007 \003(\0132!.SimulationController.Double" +
      "Array\0223\n\010velocity\030\010 \001(\0132!.SimulationCont" +
      "roller.DoubleArray\0227\n\014acceleration\030\t \001(\013" +
      "2!.SimulationController.DoubleArray\022\021\n\td" +
      "eltaTime\030\n \001(\002\022\021\n\ttotalTime\030\013 \001(\002\022\017\n\007bat" +
      "tery\030\014 \001(\002\022\022\n\nisCharging\030\r \001(\010\0226\n\nerrorF" +
      "lags\030\016 \001(\0132\".SimulationController.Boolea" +
      "nArray\"L\n\021PlannedTrajectory\022\r\n\005osmID\030\001 \001" +
      "(\t\022\014\n\004posX\030\002 \001(\002\022\014\n\004posY\030\003 \001(\002\022\014\n\004posZ\030\004" +
      " \001(\002\"\256\001\n\032VehicleSimulationDataFrame\022\021\n\tv" +
      "ehicleID\030\001 \001(\t\022B\n\021plannedTrajectory\030\002 \003(" +
      "\0132\'.SimulationController.PlannedTrajecto" +
      "ry\0229\n\006frames\030\003 \003(\0132).SimulationControlle" +
      "r.SimulationDataFrame\"o\n\030GetSimulationRe" +
      "sultReply\022B\n\010vehicles\030\001 \003(\01320.Simulation" +
      "Controller.VehicleSimulationDataFrame\022\017\n" +
      "\007jsonStr\030\002 \001(\t\"\024\n\022GetVehiclesRequest\"\313\001\n" +
      "\020GetVehiclesReply\022C\n\006states\030\001 \003(\01323.Simu" +
      "lationController.GetVehiclesReply.Vehicl" +
      "eState\032r\n\014VehicleState\022\n\n\002id\030\001 \001(\t\0228\n\005st" +
      "ate\030\002 \001(\0132).SimulationController.Simulat" +
      "ionDataFrame\022\034\n\024distToTargetInMeters\030\003 \001" +
      "(\002\"\"\n\024RemoveVehicleRequest\022\n\n\002id\030\001 \001(\t\"\027" +
      "\n\025ResetSimulatorRequest\"\321\005\n\016GetMapRespon" +
      "se\022<\n\007streets\030\001 \003(\0132+.SimulationControll" +
      "er.GetMapResponse.Street\022@\n\tbuildings\030\002 " +
      "\003(\0132-.SimulationController.GetMapRespons" +
      "e.Building\0229\n\005bound\030\003 \001(\0132*.SimulationCo" +
      "ntroller.GetMapResponse.Bound\032c\n\007OsmNode" +
      "\022\n\n\002id\030\001 \001(\004\022\020\n\010lonitude\030\002 \001(\002\022\020\n\010latitu" +
      "de\030\003 \001(\002\022\020\n\010altitude\030\004 \001(\002\022\026\n\016isIntersec" +
      "tion\030\005 \001(\010\032\370\001\n\006Street\022\n\n\002id\030\001 \001(\004\022\r\n\005wid" +
      "th\030\002 \001(\002\022;\n\005nodes\030\003 \003(\0132,.SimulationCont" +
      "roller.GetMapResponse.OsmNode\022C\n\rinterse" +
      "ctions\030\004 \003(\0132,.SimulationController.GetM" +
      "apResponse.OsmNode\022\022\n\nstreetType\030\005 \001(\t\022\020" +
      "\n\010isOneWay\030\006 \001(\010\022\027\n\017streetPavements\030\007 \001(" +
      "\t\022\022\n\nspeedLimit\030\010 \001(\001\032G\n\010Building\022;\n\005nod" +
      "es\030\001 \003(\0132,.SimulationController.GetMapRe" +
      "sponse.OsmNode\032[\n\005Bound\022\014\n\004minX\030\001 \001(\002\022\014\n" +
      "\004minY\030\002 \001(\002\022\014\n\004minZ\030\003 \001(\002\022\014\n\004maxX\030\004 \001(\002\022" +
      "\014\n\004maxY\030\005 \001(\002\022\014\n\004maxZ\030\006 \001(\002\"V\n\027UpdateTra" +
      "jectoryRequest\022\021\n\tvehicleID\030\001 \001(\t\022\023\n\013sou" +
      "rceOsmID\030\002 \001(\t\022\023\n\013targetOsmID\030\003 \001(\t2\243\010\n\r" +
      "SimController\022L\n\006SetMap\022#.SimulationCont" +
      "roller.SetMapRequest\032\033.SimulationControl" +
      "ler.Empty\"\000\022R\n\tSetSector\022&.SimulationCon" +
      "troller.SetSectorRequest\032\033.SimulationCon" +
      "troller.Empty\"\000\022X\n\014configureRMI\022).Simula" +
      "tionController.ConfigureRMIRequest\032\033.Sim" +
      "ulationController.Empty\"\000\022^\n\nAddVehicle\022" +
      "\'.SimulationController.AddVehicleRequest" +
      "\032%.SimulationController.AddVehicleReply\"" +
      "\000\022m\n\017StartSimulation\022,.SimulationControl" +
      "ler.StartSimulationRequest\032*.SimulationC" +
      "ontroller.StartSimulationReply\"\000\022a\n\013GetV" +
      "ehicles\022(.SimulationController.GetVehicl" +
      "esRequest\032&.SimulationController.GetVehi" +
      "clesReply\"\000\022y\n\023GetSimulationResult\0220.Sim" +
      "ulationController.GetSimulationResultReq" +
      "uest\032..SimulationController.GetSimulatio" +
      "nResultReply\"\000\022M\n\006GetMap\022\033.SimulationCon" +
      "troller.Empty\032$.SimulationController.Get" +
      "MapResponse\"\000\022Z\n\rRemoveVehicle\022*.Simulat" +
      "ionController.RemoveVehicleRequest\032\033.Sim" +
      "ulationController.Empty\"\000\022\\\n\016ResetSimula" +
      "tor\022+.SimulationController.ResetSimulato" +
      "rRequest\032\033.SimulationController.Empty\"\000\022" +
      "`\n\020UpdateTrajectory\022-.SimulationControll" +
      "er.UpdateTrajectoryRequest\032\033.SimulationC" +
      "ontroller.Empty\"\000B=\n\010protobufB\031Simulatio" +
      "nControllerProtoP\001\242\002\023SimulatonController" +
      "b\006proto3"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
        new com.google.protobuf.Descriptors.FileDescriptor.    InternalDescriptorAssigner() {
          public com.google.protobuf.ExtensionRegistry assignDescriptors(
              com.google.protobuf.Descriptors.FileDescriptor root) {
            descriptor = root;
            return null;
          }
        };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
    internal_static_SimulationController_Empty_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_SimulationController_Empty_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_Empty_descriptor,
        new java.lang.String[] { });
    internal_static_SimulationController_SetMapRequest_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_SimulationController_SetMapRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_SetMapRequest_descriptor,
        new java.lang.String[] { "MapName", "TotalChunk", "Index", "Data", });
    internal_static_SimulationController_SetSectorRequest_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_SimulationController_SetSectorRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_SetSectorRequest_descriptor,
        new java.lang.String[] { "OsmIDs", });
    internal_static_SimulationController_ConfigureRMIRequest_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_SimulationController_ConfigureRMIRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_ConfigureRMIRequest_descriptor,
        new java.lang.String[] { "Host", "Port", });
    internal_static_SimulationController_AddVehicleRequest_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_SimulationController_AddVehicleRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_AddVehicleRequest_descriptor,
        new java.lang.String[] { "SourceOsmID", "TargetOsmID", "RmiHost", "RmiPort", "VehicleModel", "UseModelica", "BatteryCapacity", "BatteryPercentage", "VehicleID", });
    internal_static_SimulationController_AddVehicleReply_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_SimulationController_AddVehicleReply_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_AddVehicleReply_descriptor,
        new java.lang.String[] { "VehicleID", });
    internal_static_SimulationController_StartSimulationRequest_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_SimulationController_StartSimulationRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_StartSimulationRequest_descriptor,
        new java.lang.String[] { "SimulationID", "Duration", "Topic", "TotalDuration", });
    internal_static_SimulationController_StartSimulationReply_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_SimulationController_StartSimulationReply_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_StartSimulationReply_descriptor,
        new java.lang.String[] { "SimulationID", });
    internal_static_SimulationController_GetSimulationResultRequest_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_SimulationController_GetSimulationResultRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetSimulationResultRequest_descriptor,
        new java.lang.String[] { "After", "Size", });
    internal_static_SimulationController_DoubleArray_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_SimulationController_DoubleArray_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_DoubleArray_descriptor,
        new java.lang.String[] { "Value", });
    internal_static_SimulationController_BooleanArray_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_SimulationController_BooleanArray_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_BooleanArray_descriptor,
        new java.lang.String[] { "Value", });
    internal_static_SimulationController_SimulationDataFrame_descriptor =
      getDescriptor().getMessageTypes().get(11);
    internal_static_SimulationController_SimulationDataFrame_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_SimulationDataFrame_descriptor,
        new java.lang.String[] { "PosX", "PosY", "PosZ", "Steering", "Engine", "Brake", "Rotation", "Velocity", "Acceleration", "DeltaTime", "TotalTime", "Battery", "IsCharging", "ErrorFlags", });
    internal_static_SimulationController_PlannedTrajectory_descriptor =
      getDescriptor().getMessageTypes().get(12);
    internal_static_SimulationController_PlannedTrajectory_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_PlannedTrajectory_descriptor,
        new java.lang.String[] { "OsmID", "PosX", "PosY", "PosZ", });
    internal_static_SimulationController_VehicleSimulationDataFrame_descriptor =
      getDescriptor().getMessageTypes().get(13);
    internal_static_SimulationController_VehicleSimulationDataFrame_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_VehicleSimulationDataFrame_descriptor,
        new java.lang.String[] { "VehicleID", "PlannedTrajectory", "Frames", });
    internal_static_SimulationController_GetSimulationResultReply_descriptor =
      getDescriptor().getMessageTypes().get(14);
    internal_static_SimulationController_GetSimulationResultReply_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetSimulationResultReply_descriptor,
        new java.lang.String[] { "Vehicles", "JsonStr", });
    internal_static_SimulationController_GetVehiclesRequest_descriptor =
      getDescriptor().getMessageTypes().get(15);
    internal_static_SimulationController_GetVehiclesRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetVehiclesRequest_descriptor,
        new java.lang.String[] { });
    internal_static_SimulationController_GetVehiclesReply_descriptor =
      getDescriptor().getMessageTypes().get(16);
    internal_static_SimulationController_GetVehiclesReply_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetVehiclesReply_descriptor,
        new java.lang.String[] { "States", });
    internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor =
      internal_static_SimulationController_GetVehiclesReply_descriptor.getNestedTypes().get(0);
    internal_static_SimulationController_GetVehiclesReply_VehicleState_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetVehiclesReply_VehicleState_descriptor,
        new java.lang.String[] { "Id", "State", "DistToTargetInMeters", });
    internal_static_SimulationController_RemoveVehicleRequest_descriptor =
      getDescriptor().getMessageTypes().get(17);
    internal_static_SimulationController_RemoveVehicleRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_RemoveVehicleRequest_descriptor,
        new java.lang.String[] { "Id", });
    internal_static_SimulationController_ResetSimulatorRequest_descriptor =
      getDescriptor().getMessageTypes().get(18);
    internal_static_SimulationController_ResetSimulatorRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_ResetSimulatorRequest_descriptor,
        new java.lang.String[] { });
    internal_static_SimulationController_GetMapResponse_descriptor =
      getDescriptor().getMessageTypes().get(19);
    internal_static_SimulationController_GetMapResponse_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetMapResponse_descriptor,
        new java.lang.String[] { "Streets", "Buildings", "Bound", });
    internal_static_SimulationController_GetMapResponse_OsmNode_descriptor =
      internal_static_SimulationController_GetMapResponse_descriptor.getNestedTypes().get(0);
    internal_static_SimulationController_GetMapResponse_OsmNode_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetMapResponse_OsmNode_descriptor,
        new java.lang.String[] { "Id", "Lonitude", "Latitude", "Altitude", "IsIntersection", });
    internal_static_SimulationController_GetMapResponse_Street_descriptor =
      internal_static_SimulationController_GetMapResponse_descriptor.getNestedTypes().get(1);
    internal_static_SimulationController_GetMapResponse_Street_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetMapResponse_Street_descriptor,
        new java.lang.String[] { "Id", "Width", "Nodes", "Intersections", "StreetType", "IsOneWay", "StreetPavements", "SpeedLimit", });
    internal_static_SimulationController_GetMapResponse_Building_descriptor =
      internal_static_SimulationController_GetMapResponse_descriptor.getNestedTypes().get(2);
    internal_static_SimulationController_GetMapResponse_Building_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetMapResponse_Building_descriptor,
        new java.lang.String[] { "Nodes", });
    internal_static_SimulationController_GetMapResponse_Bound_descriptor =
      internal_static_SimulationController_GetMapResponse_descriptor.getNestedTypes().get(3);
    internal_static_SimulationController_GetMapResponse_Bound_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_GetMapResponse_Bound_descriptor,
        new java.lang.String[] { "MinX", "MinY", "MinZ", "MaxX", "MaxY", "MaxZ", });
    internal_static_SimulationController_UpdateTrajectoryRequest_descriptor =
      getDescriptor().getMessageTypes().get(20);
    internal_static_SimulationController_UpdateTrajectoryRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_SimulationController_UpdateTrajectoryRequest_descriptor,
        new java.lang.String[] { "VehicleID", "SourceOsmID", "TargetOsmID", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
